// ParamPage.cpp : implementation file
//

#include "stdafx.h"
#include "animscript.h"
#include "ParamPage.h"

#include <assert.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CParamPage property page

IMPLEMENT_DYNCREATE(CParamPage, CPropertyPage)

CParamPage::CParamPage()
{
	// This function is not actually called
	assert(false);
	m_pDocument = NULL;
	m_bInitialized = false;
}

CParamPage::CParamPage(UINT id) : CPropertyPage(id)
{
	m_pDocument = NULL;
	m_bInitialized = false;
	//{{AFX_DATA_INIT(CParamPage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CParamPage::~CParamPage()
{
}

void CParamPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CParamPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CParamPage, CPropertyPage)
	//{{AFX_MSG_MAP(CParamPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CParamPage message handlers
void CParamPage::OnCreateExec()
{
	assert(false);
}
